<?php
namespace FacturaScripts\Plugins\Partes\Model;

use FacturaScripts\Core\Model\Base\ModelClass;
use FacturaScripts\Core\Model\Base\ModelTrait;
class OiComentariosTareas extends ModelClass
{
    use ModelTrait;

    /** @var string */
    public $comentario;

    /** @var int */
    public $id;

    /** @var int */
    public $idtarea;

    public function clear() 
    {
        parent::clear();
        $this->idtarea = 0;
    }

    public static function primaryColumn(): string
    {
        return "id";
    }

    public static function tableName(): string
    {
        return "oi_comentarios_tareas";
    }

    public function test(): bool
    {
        $this->comentario = $this->toolBox()->utils()->noHtml($this->comentario);
        return parent::test();
    }
}
